# &konsolekalendar;i käsiraamat

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    awinterz@users.sourceforge.net

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Korrektor
Marek
Laane

    bald@online.ee

Tõlge eesti keelde
2002
2003
Tuukka Pasanen
2003
Allen Winter
&FDLNotice;
2003-11-28
1.0.0

&konsolekalendar; on &kde; kalendrite käsurealiides.

KDE
&package;
&kappname;
KOrganizer

## Sissejuhatus

&konsolekalendar; &kde; kalendrite käsurealiides. See võimaldab vaadata, lisada, eemaldada või muuta kalendris esinevaid sündmusi käsureal või skriptikeele vahendusel. Lisaks võib &konsolekalendar; luua uue &kde; kalendri, eksportida &kde; kalendri paljudesse muudesse vormingutesse ning importida mõne muu &kde; kalendri.

Põhirežiimis näitab &konsolekalendar; käesoleva päeva vaikekalendri sündmusi (ajavahemikus 7:00 kuni 17:00).

&konsolekalendar;i põhiomadused:

- Kalendrikirjete näitamine alguskuupäevast/ajast lõppkuupäeva/ajani

- Kalendrikirjete lisamine

- Kalendrikirjete kustutamine

- Kalendrikirjete muutmine

- Uue kalendri loomine

- Kalendrikirjete eksport muudesse failivormingutesse

- Olemasoleva &kde; kalendri import

&konsolekalendar; ei ole lihtsalt veel üks &kde; kalendri (st. &korganizer;i) graafiline kasutajaliides. &konsolekalendar; on mõeldud just sellisteks juhtumiteks, kus graafilise kasutajaliidese kasutamine ei ole mõttekas või võimalikki.

&konsolekalendar; ei paku kõiki võimalusi kasutaja kalendrile päringute esitamiseks ning autoril ei ole ka kavas midagi sellist kunagi pakkuda. Küll pakutakse põhilisi käsurea võtmeid ligipääsuks kalendri sündmustele ajalises järgnevuses ehk ajatemplite alusel.

## Võimalused

Selles peatükis tutvustame &konsolekalendar;i mitmesuguseid võimalusi ehk siis asju, mida saab määrata käsureal (pea meeles, et &konsolekalendar; ei ole mitte graafiline kasutajaliides, vaid ainult ja ainult käsureaprogramm).

Samuti tuleb siin juttu kalendri sündmuste lisamisest, kustutamisest ja muutmisest ning sündmuste eksportimisest muudesse failivormingutesse. Käsitleme ka &kde; kalendrite loomis ja importimist.

### Sündmuste vaatamine

Vaikerežiimis või võtmega `--view` näitab &konsolekalendar; kõiki määratud ajavahemikku jäävaid sündmusi.

Kõigi tänaste sündmuste (7:00 kuni 17:00) vaatamiseks anna käsk:

    % konsolekalendar

Järgmises näites saab näha kõiki nädalasse 18.-22. august jäävaid sündmusi:

    % konsolekalendar --view --date 2003-08-18  --end-date 2003-08-22

### Sündmuste lisamine

&konsolekalendar; võib lisada sündmusi &kde; kalendrisse, kui anda käsureal võti `--add`.

Järgmises näites lisatakse kasutaja vaikekalendrisse sündmus, mis algab 2003-06-04 (4. juunil 2003) 10:00 ja lõpeb 12:00 ning mille kokkuvõte on "Arsti visiit":

    % konsolekalendar --add --date 2003-06-04 --time 10:00 \
    --end-time 12:00 --summary "Arsti visiit"

Selles näites lisatakse kasutaja vaikekalendrisse sünnipäev:

    % konsolekalendar --add --date 2003-06-06 --summary "Minu sünnipäev" \
    --description "Aeg pidu panna"

&konsolekalendar;i praegune versioon ei toeta vabade sündmuste lisamist (vabad sündmused on sellised, mis ei võta päevas ruumi, &ie; toimuvad ajal, mis ei ole märgitud hõivatuks). Sünnipäevad, pühad, aastapäevad &etc; sobivad ideaalselt vabadeks sündmusteks. Me loodame, et juba järgmises &konsolekalendar;i versioonis on ka võimalus lisada vabu sündmusi.

Siin aga lisatakse jagatud puhkuse kalendrisse nädal puhkust:

    % konsolekalendar --add --file vacation.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Puhkus" --description "Keegi ei saa mind kätte!"

### Kirjete eemaldamine

&konsolekalendar; toetab kirjete eemaldamist kalendrifailist, kui anda käsureal võti `--delete`. Eemaldatavaid kalendrikirjeid saab täpselt määrata nende unikaalse identifikaatori (UID) abil, kasutades võtit `--uid`. UIDs leidmiseks tuleks esmalt sündmust vaadata, mida saab teha võtmega `--view`.

Kui midagi kalendrist kustutada, ei saa seda tagasi võtta! See tähendab, et kui sündmus on kustutatud, siis on see lõplik.

Selles näiteks kustutame kalendrist kirje, mille UID on &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Kirjete muutmine

&konsolekalendar; toetab olemasolevate kirjete muutmist kalendrifailis, kui anda käsureal võti `--change`. Muudetavaid kalendrikirjeid saab täpselt määrata nende unikaalse identifikaatori (UID) abil, kasutades võtit `--uid`. UIDs leidmiseks tuleks esmalt sündmust vaadata, mida saab teha võtmega `--view`.

Muutmine käib sarnaselt lisamisega: muuta saab sündmuse algus- ja lõppkuupäeva, algus- ja lõppaega, kirjeldust ja kokkuvõtet.

Näide: muudame kokkuvõtet ja kirjeldust kalendrikirjel, mille UID on &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Lasen oma pead uurida"` `--description "selle arsti juurde ma enam ei lähe!"``

### Uue kalendrifaili loomine

&konsolekalendar;i abil võib luua uue &kde; kalendrifaili. Et kirjet ei saa lisada kalendrisse, mida ei ole olemas, tuleb esmalt luua fail, mida saab teha võtmetega `--create` ja `--file`.

Loome kalendrifaili nimega `/data/share/calendars/vacation.ics`:

    % konsolekalendar --create --file /data/share/calendars/vacation.ics

### Eksportimine muudesse vormingutesse

&konsolekalendar; võib eksportida &kde; kalendri muudesse levinud vormingutesse. Eksportimine om vaatamise spetsiifiline vorm. Vaikimisi vaadatakse sündmusi &konsolekalendar;i teksti vormingus. Vaatevormingu muutmisest tuleb kasutada võtit `--export-type`.

Kõigi toetatud ekspordivormingute nägemiseks kasuta võtit `--export-list`:

    % konsolekalendar --export-list

### Ekspordivormingud

Selles osas kirjeldatakse mõningaid, kuid tingimata mitte kõiki toetatud vorminguid.

#### &konsolekalendar;i teksti vorming

&konsolekalendar;i teksti vorming on &konsolekalendar;i loomupärane vorming, mis on mõeldud võimalikult mugavaks lugemiseks ja võimalikele skriptidele parsitavaks.

&konsolekalendar;i teksti vorming on:

    Date and time information:
    1. row Date:        YYYY-MM-DD
    2. row                 HH:MM
    Summary:
    3. row Summary:
    4. row                 Kokkuvõtte tekst.
    Description:
    5. row Description:
    6. row                Kirjelduse tekst
    UID:
    7. row UID:
    8. row                 UID.

    Date:   2003-11-01
            8:00 - 9:00
    Summary:
            Üldkoosolek
    Description:
            Kõigi töötajate koosolek suures konverentsisaalis.
    UID:
            &konsolekalendar;-1128954167.1013

#### Komadega eraldatud väärtuste (CSV) vorming

Komadega eraldatud väärtuste vorming näitab sündmuste väärtusi samas järjekorras nagu &konsolekalendar;i teksti vorming. Ainus erinevus on see, et kogu info on esitatud ühes reas, iga väli eraldatud komaga. Tulemuseks olevat eksportfaili saab vahetult importida tabelarvutusprogrammidesse, näiteks &kspread;, OpenOffice.org Calc ja &Microsoft; Excel. Ka skriptid tulevad CSV vorminguga hõlpsasti toime.

Komadega eraldatud väärtuste (CSV) vorming on:

    YYYY-MM-DD,HH:MM,YYYY-MM-DD,HH:MM,Kokkuvõte,Kirjeldus,UID

    2003-11-01,08:00,2003-11-01,09:00,Üldkoosolek,Kõigi töötajate koosolek \
    suures konverentsisaalis.,&konsolekalendar;-1128954167.1013

#### HTML vorming

HTML ekspordivorming annab tulemuseks korrektse HTML-faili, mida saab avaldada veebis (WWW). See ekspordivorming ei sobi eriti skriptidele, kuid on samas väga mõnus avalikult väljapandavate kalendrite loomiseks.

TEGEMATA: lisada siia pilt

### Kalendrite importimine

&konsolekalendar; suudab importida ICS kalendrifaili &kde; kalendriks. Lisatakse kõik imporditava kalendri sündmused, ka siis, kui need peaksid olema identsed. Loodetavasti juba järgmises &konsolekalendar;i versioonis identseid sündmusi enam ei lisata.

Importimaks kalendrifaili `another.ics` kalendrisse `current.ics`:

    % konsolekalendar --import another.ics --file current.ics

## Käsurea võtmed

&konsolekalendar; toetab järgmisi võtmeid:

Võti | Kirjeldus
--- | ---
`--help, --help-all` | Näitab abiteadet rakenduse võtmete kohta.
`--author` | Näitab infot rakenduse autori kohta.
`-v, --version` | Näitab rakenduse versiooni.
`--license` | Näitab infot rakenduse litsentsi kohta.
`--verbose` | Näitab töö ajal selgitavaid teateid.
`--dryrun` | Näitab, mida mingi käsk teeb, kuid ei rakenda seda tegelikult. Ei muuda ühtegi faili, ei lisa, eemalda ega muuda olemasolevaid faile ega loo uusi faile.
`--file` kalendrifail | Määrab, millist kalendrifaili kasutada. Kui on määramata, kasutatakse &korganizer;i vaikekalendrit.
Peamised töörežiimid:
`--view` | Näitab kalendris olevaid sündmusi määratud vormingus.
`--add` | Lisab kalendrisse sündmuse.
`--change` | Muudab kalendris olevat sündmust.
`--delete` | Eemaldab kalendrist sündmuse.
`--create` | Loob uue kalendrikirje, kui sellist veel ei ole.
`--import` importfail | Impordib määratud kalendri põhikalendrisse.
Töörežiimide lisavõtmed:
`--all` | Näitab kõiki kalendrikirjeid.
`--uid` UID | Näitab, kustutab või muudab sündmust, millel on määratud unikaalne identifikaator.
`--date` kuupäev | Alustab määratud kuupäevaga [YYYY-MM-DD]. Vaikimisi on see täna (Today)
`--time` | Alustab määratud ajaga [HH:MM]. Vaikimisi 07:00.
`--end-date` lõppkuupäev | Lõpetab määratud kuupäevaga [YYYY-MM-DD]. Vaikimisi sama, mis --date.
`--end-time` lõppaeg | Lõpetab määratud ajal [HH:MM]. Vaikimisi 17:00
`--epoch-start` epohhiaeg | Alustab määratud ajast [sekundit alates epohhist].
`--epoch-end` epohhiaeg | Lõpetab määratud ajal [sekundit alates epohhist].
`--summary` kokkuvõte | Lisab sündmusele kokkuvõtte (lisamisel ja muutmisel).
`--description` kirjeldus | Lisab sündmusele kirjelduse (lisamisel ja muutmisel).
Ekspordivõtmed:
`--export-type` eksporttüüp | Eksportfaili tüüp. Vaikimisi on see tekst (Text)
`--export-file` eksportfail | Ekspordib faili. Vaikimisi kirjutatakse väljund standardväljundisse (stdout).
`--export-list` | Näitab toetatud eksporttüüpide nimekirja.

## Küsimused ja vastused

&reporting.bugs; &updating.documentation;

Milliseid konfiguratsioonifaile &konsolekalendar; kasutab?

Mitte ühtki.

Mis on &konsolekalendar;i rakenduse nimi?

&konsolekalendar;i rakenduse nimi on konsolekalendar.

Milline on kuupäeva vorming?

&konsolekalendar; ei arvesta käsureal antud kuupäevi, kui need ei vasta ISO 8601 standardile, see tähendab, ei ole kujul YYYY-MM-DD, kus YYYY on neljakohaline aastanumber (näiteks 2003), MM kahekohaline kuu (01, 02...12) ja DD kahekohaline päev (01, 02...31).

&konsolekalendar; ekspordib kuupäeva alati vastavalt ISO 8601 vormingule.

Milline on kellaaja vorming?

&konsolekalendar; ei arvesta käsureal antud kellaaegu, kui need ei vasta ISO 8601 standardile, see tähendab, ei ole kujul HH:MM:SS, kus HH on kahekohaline tundide number (01, 02...24), MM kahekohaline minutite number (01, 02...60) ja DD kahekohaline sekundite number (01, 02...60).

&konsolekalendar; ekspordib kellaaja alati vastavalt ISO 8601 vormingule.

Kas &konsolekalendar; lisab uue sündmuse, kui see on identne kalendris juba leiduva sündmusega?

Ei. Vaata järgmist küsimust.

Kuidas &konsolekalendar; määrab, kas lisatav sündmus on identne mõne juba kalendris olemasoleva sündmusega?

&konsolekalendar; võrdleb lisatava sündmuse algus- ja lõppkuupäeva, algus- ja lõppkellaaega ning kokkuvõtet kõigi kalendris olemasolevate sündmuste vastavate väärtustega. Sündmused loetakse identseks, kui kõik kolm vääartust kattuvad.

Kuidas saan lisada oma küsimuse sellel FAQ-ile?

Saada oma küsimus aadressile illuusio@lycos.com.

## Autorid ja litsents

&konsolekalendar;i rakenduse autoriõigus 2002, 2003:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter awinterz@users.sourceforge.net

Dokumentatsiooni autoriõigus 2003:

- Allen Winter awinterz@users.sourceforge.net

- Tuukka Pasanen illuusio@mailcity.com

Tõlge eesti keelde: Marek Laane bald@online.ee

&underFDL; &underGPL;

## Paigaldamine

### &konsolekalendar;i hankimine

&install.intro.documentation;

&konsolekalendar; kuulub &kde;3 koosseisu ega ole omaette saadaval.

### Nõuded

&konsolekalendar;i paigaldamiseks on vajalikud &kde; standardteegid (pakett `kdelibs`). Lähtetekstist kompileerimiseks on vajalikud ka &Qt; ja `kdelibs` arenduspaketid.

Muudatuste nimekirja leiab failist `ChangeLog`.

### Kompileerimine ja paigaldamine

See osa annab põgusa ülevaate ehitamisprotsessist. Põhjalikke juhiseid loe palun veebis Compiling &kde; 3.2.x.

Kui sul ei õnnestu hankida sobivat eelnevalt kompileeritud binaarpaketti, tuleb &konsolekalendar; lähtetekstist ise kompileerida. Hangi lähtepakett `kdepim-x.x.tar.bz2`. Paki see lahti uude kataloogi käsuga ``tar` `xvfj pakett.tar.bz2`` ja liigu loodud kataloogi.

&install.compile.documentation;

Kui paigaldatud on enam kui üks &kde; versioon (nt. &kde;2 ja &kde;3), võib juhtuda, et paigaldad &konsolekalendar;i valesse &kde; kataloogi. Vajadusel anna &kde; kataloog parameetrina käsule ``./configure``. Kui näiteks &kde; on paigaldatud kataloogi `/opt/kde3`:

``./configure` --prefix=/opt/kde3`

### Seadistamine

Et &konsolekalendar; töötaks &kde; töölaual, ei ole vaja midagi spetsiaalselt seadistada.

&documentation.index;